Update GeospatialCoverage.Builder to convert from 4.1 to 5.0

Description

(Imported from Google Code)

  • 4.1 BoundingBox should become 5.0 Envelope when committed.

  • 4.1 VerticalExtent should become 5.0 3D Point when committed.

  • 4.1 PostalAddress should become 5.0 PostalAddress when committed.

  • 4.1 Point should become 5.0 Point when committed.

  • 4.1 Polygon should become 5.0 Polygon when committed.

  • Update Release Notes and Component Builder Power Tip with details.

Activity

Show:
Brian Uri
April 7, 2013, 3:20 PM

Took a stab at this, and the most common use cases are not consistent enough to provide much value.

  • boundingBox + verticalExtent introduces all sorts of TSPI presentation transformations.

  • postalAddress conversion is error-prone because of street parsing and lack of province support. Country codes would need to be transformed to GENC format.

  • Points and Polygons would be a lot easier if the TSPI shapes implemented gmlos, which does not yet occur in DDMSence 2.2.0.

Won't Fix

Assignee

Brian Uri

Reporter

Brian Uri

Labels

None

Fix versions

Priority

Medium